/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_INFOSQUARE_DEFINE_H__
#define __AIR_INFOSQUARE_DEFINE_H__

#include "strings.h"

/* Definitions for common */
#define SOURCE_PROGRAM "program"
#define SOURCE_ELM "elm"
#define SOURCE_EDC "edc"

#define PART_CONTENT "elm.swallow.content"
#define PART_ICON "elm.swallow.icon"
#define PART_ICON_FOCUSED "elm.swallow.icon.focus"
#define PART_ICON_SELECTED "elm.swallow.icon.select"
#define PART_ICON_DISABLED "elm.swallow.icon.disable"
#define PART_TEXT_1 "elm.text.1"
#define PART_ICON_1 "elm.swallow.icon.1"
#define PART_ICON_1_FOCUSED "elm.swallow.icon.1.focus"
#define PART_ICON_1_SELECTED "elm.swallow.icon.1.select"
#define PART_ICON_1_DISABLED "elm.swallow.icon.1.disable"
#define PART_TITLE "elm.text"
#define PART_TEXT1 "elm.text1"
#define PART_TEXT2 "elm.text2"

#define SIGNAL_FOCUSED "elm,action,focus"
#define SIGNAL_UNFOCUSED "elm,action,unfocus"
#define SIGNAL_DISABLED "elm,state,disabled"
#define SIGNAL_ITEM_SELECTED "item,selected"
#define SIGNAL_NO_NOTIFICATION "signal.no_notification"
#define SIGNAL_NOTIFICATION "signal.notification"
#define SIGNAL_TOGGLE "elm,state,toggle"
#define SIGNAL_UNTOGGLE "elm,state,untoggle"
#define SIGNAL_CHILD_REMOVED "child,removed"
#define SIGNAL_SHOW "show"
#define SIGNAL_HIDE "hide"
#define SIGNAL_HIDE_FINISHED "elm,action,hide,finished"

#define TRANSITION_EASE_IN_OUT 0.45 0.03 0.41 1.0
#define TRANSITION_EASE_OUT 0.25 0.46 0.45 1.0

#define FONT_REGULAR "BreezeSans"
#define FONT_LIGHT "BreezeSans:style=Light"
#define FONT_BOLD "BreezeSans:style=Bold"
#define FONT_SIZE 32

#define KEY_NOTI "KEY_NOTI"
#define KEY_BUTTON "KEY_BUTTON"
#define UPDATE_TYPE_SET_NOTIFICATION 0
#define UPDATE_TYPE_SHOW_POPUP 1

/* Definitions for notification view */
#define NOTIFICATION_VIEW "NOTIFICATION_VIEW"
#define GRP_NOTIFICATION_VIEW "grp.notification.view"
#define PART_NOTIFICATION_TITLE "part.notification.title"
#define PART_NOTIFICATION_TITLE_BG "part.notification.title.bg"
#define PART_NOTIFICATION_CLEAR "part.notification.clear"
#define PART_NOTIFICATION_CLEAR_BG "part.notification.clear.bg"
#define PART_NOTIFICATION_NO_NOTIFICATION "part.notification.no_notification"
#define PART_NOTIFICATION_CONTENT "part.notification.content"
#define PART_NOTIFICATION_CONTENT_BG "part.notification.content.bg"
#define GRP_NOTIFICATION_CATEGORY "grp.notification.category"
#define PART_NOTIFICATION_CATEGORY_TITLE "part.notification.category.title"
#define PART_NOTIFICATION_CATEGORY_CONTENT "part.notification.category.content"
#define GRP_NOTIFICATION_POPUP "grp.notification.popup"

#define GRP_NOTIFICATION_CLEAR "grp.notification.clear"

/* Definitions for infosquare view */
#define SQUARE_VIEW "SQUARE_VIEW"
#define GRP_SQUARE_VIEW "grp.square.view"
#define PART_NOTIFICATION "part.notification"
#define PART_NOTIFICATION_LAUNCH "part.notification.launch"
#define PART_NOTIFICATION_CLEAR "part.notification.clear"
#define PART_NOTIFICATION_LIST_TITLE "part.notification.list_title"
#define PART_NOTIFICATION_LIST "part.notification.list"
#define PART_INFO "part.info"
#define PART_INFO_USER_MESSAGE "part.info.user_message"
#define PART_INFO_TIME "part.info.time"
#define PART_INFO_TIME_MINUTE "part.info.time_minute"
#define PART_INFO_TIME_SEPARATOR "part.square.info.time_separator"
#define PART_INFO_TIME_HOUR "part.info.time_hour"
#define PART_INFO_TIME_AM_PM "part.info.time_am_pm"
#define PART_INFO_DATE "part.info.date"

#define GRP_NOTIFICATION_ITEM "grp.notification.item"
#define PART_NOTIFICATION_ITEM_TITLE "part.notification.item.title"

#define GRP_NOTIFICATION_LAUNCH "grp.notification.launch"
#define GRP_SQUARE_NOTIFICATION_CLEAR "grp.square.notification.clear"

/* Definitions for action menu view */
#define ACTION_MENU_VIEW "ACTION_MENUVIEW"
#define GRP_VIEW_ACTION_MENU "grp.view.action_menu"
#define PART_TOP_BUTTON "part.top.button"
#define PART_MENU "part.menu"
#define IMAGE_CLEAR_NOR IMAGEDIR"/btn_menu_clear_nor.png"
#define IMAGE_CLEAR_FOC IMAGEDIR"/btn_menu_clear_foc.png"
#define IMAGE_CLEAR_SEL IMAGEDIR"/btn_menu_clear_sel.png"
#define IMAGE_CLEAR_DIS IMAGEDIR"/btn_menu_clear_dis.png"

#endif /* __AIR_INFOSQUARE_DEFINE_H__*/
